# Class GetTradesReply

#### Hierarchy

- unknown
  - GetTradesReply

- Defined in src/protobuf/grpc_pb.d.ts:2558
- Defined in src/protobuf/grpc_pb.d.ts:2572

#####
Index

### Constructors

constructor

### Methods

addTrades
clearTradesList
getTradesList
serializeBinary
setTradesList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetTradesReply(): GetTradesReply

- #### Returns GetTradesReply

  Inherited from jspb.Message.constructor

## Methods

### addTrades

- addTrades(value?: TradeInfo, index?: number): TradeInfo

- #### Parameters

  - ##### `Optional` value: TradeInfo

  - ##### `Optional` index: number

  #### Returns TradeInfo

  - Defined in src/protobuf/grpc_pb.d.ts:2562

### clearTradesList

- clearTradesList(): GetTradesReply

- #### Returns GetTradesReply

  - Defined in src/protobuf/grpc_pb.d.ts:2561

### getTradesList

- getTradesList(): TradeInfo[]

- #### Returns TradeInfo[]

  - Defined in src/protobuf/grpc_pb.d.ts:2559

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2564

### setTradesList

- setTradesList(value: TradeInfo[]): GetTradesReply

- #### Parameters

  - ##### value: TradeInfo[]

  #### Returns GetTradesReply

  - Defined in src/protobuf/grpc_pb.d.ts:2560

### toObject

- toObject(includeInstance?: boolean): GetTradesReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetTradesReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2565

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetTradesReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetTradesReply

  - Defined in src/protobuf/grpc_pb.d.ts:2568

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetTradesReply, reader: BinaryReader): GetTradesReply

- #### Parameters

  - ##### message: GetTradesReply

  - ##### reader: BinaryReader

  #### Returns GetTradesReply

  - Defined in src/protobuf/grpc_pb.d.ts:2569

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetTradesReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetTradesReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2567

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetTradesReply): GetTradesReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetTradesReply

  #### Returns GetTradesReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2566

Generated using TypeDoc